Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QXmlLocator Class Reference
[XML module]

The QXmlLocator class provides the XML handler classes with information about the parsing position within a file. More...

`#include <qxml.h>`

List of all member functions.

## Public Members

- QXmlLocator ()
- virtual ~QXmlLocator ()
- virtual int columnNumber () = 0
- virtual int lineNumber () = 0

## Detailed Description

The QXmlLocator class provides the XML handler classes with information about the parsing position within a file.

The reader reports a QXmlLocator to the content handler before it starts to parse the document. This is done with the QXmlContentHandler::setDocumentLocator() function. The handler classes can now use this locator to get the position (lineNumber() and columnNumber()) that the reader has reached.

See also XML.

## Member Function Documentation

### QXmlLocator::QXmlLocator ()

Constructor.

### QXmlLocator::~QXmlLocator ()`[virtual]`

Destructor.

### int QXmlLocator::columnNumber ()`[pure virtual]`

Returns the column number (starting at 1) or -1 if there is no column number available.

### int QXmlLocator::lineNumber ()`[pure virtual]`

Returns the line number (starting at 1) or -1 if there is no line number available.

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.